g_data = null;
g_show = null;

g_tabnames = ['news', 'patch'];


function httpGET(url, callback){
	ajax = new XMLHttpRequest();
	ajax.open("GET",url,true);
	ajax.onreadystatechange = function(){
		if(this.readyState == 4){
			if(this.status >= 200 &&  this.status < 400){
				callback(true, this.responseText);
			}else{
				callback(false, this.statusText);
			}
		}
	}
	ajax.send(null);
}//httpGET

function showError(msg){
	var box = document.getElementById('newsbox');
	box.innerHTML = '<a href="#" class="news-element">'+msg+'</a>';
}

function showtabContent(){ // uses g_show
	if(g_data == null)
		return;
	
	// active .. 
	for(i = 0; i < g_tabnames.length; i++){
		name = g_tabnames[i];
		elem = document.getElementById('navigator-'+name);
		elem.className = 'navigator-'+name;
		
		if(name == g_show){
			elem.className += ' navigator-'+name+'-active';
		}
						
	}
	
	var box = document.getElementById('newsbox');
	//<a href="#" class="news-element">Test News Title<span class="date">17.12.2013 23:32h</span></a>
	box.innerHTML = '';
	for(i = 0; i < g_data['num'+g_show]; i++){
		node = g_data[g_show][i];
		box.innerHTML += '<a href="#" OnClick="launcher.openUserBrowser(\''+node.url+'\');" class="news-element">'+node.title+'<span class="date">'+node.date+'</span></a>';
	}
	
	
	
}//showtabcontent


function recvLog(bOk, strContent){
	if(bOk == false){
		showError("Error Loading Patchlog");
	}else{
		g_data = JSON.parse(strContent);
		
		if(g_show == null)
			g_show = g_data['default'];
		
		showtabContent();
	}
}//recvLog


function switchTab(tab){

	
	switch(tab){
		case 'news': // news log
			//console.log("NEWS!");
			g_show = 'news';
		break;
		
		case 'patch': // patch log
			//console.log("PATCH");
			g_show = 'patch';
		break;
		
		case 'settings': // call config
			//console.log("@TODO - config");
		break;
	}
	
	showtabContent();
}//switchTab



// Called by native once @ startup
function initHTMLGUI(url){
	httpGET(url, recvLog);
}


